searchData={"items":[{"type":"module","title":"Swoosh.Mua","doc":"Swoosh adapter for [Mua.](https://github.com/ruslandoga/mua)\n\nFor supported configuration options, please see [`Mua.option()`](https://hexdocs.pm/mua/Mua.html#t:option/0)","ref":"Swoosh.Mua.html"},{"type":"exception","title":"Swoosh.Mua.MultihostError","doc":"Raised when no relay is used and recipients contain addresses across multiple hosts.\n\nFor example:\n\n    email =\n      Swoosh.Email.new(\n        to: {\"Mua\", \"mua@github.com\"},\n        cc: [{\"Swoosh\", \"mua@swoosh.github.com\"}]\n      )\n\n    Swoosh.Mua.deliver(email, _no_relay_config = %{})\n\nFields:\n\n  - `:hosts` - the hosts for the recipients, `[\"github.com\", \"swoosh.github.com\"]` in the example above","ref":"Swoosh.Mua.MultihostError.html"},{"type":"function","title":"Swoosh.Mua.MultihostError.message/1","doc":"","ref":"Swoosh.Mua.MultihostError.html#message/1"},{"type":"extras","title":"Swoosh.Mua","doc":"# Swoosh.Mua\n\n[![Hex Package](https://img.shields.io/hexpm/v/swoosh_mua.svg)](https://hex.pm/packages/swoosh_mua)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-blue.svg)](https://hexdocs.pm/swoosh_mua)\n\n[Swoosh](https://github.com/swoosh/swoosh) adapter for [Mua.](https://github.com/ruslandoga/mua)","ref":"readme.html"},{"type":"extras","title":"Installation - Swoosh.Mua","doc":"```elixir\ndefp deps do\n  [\n    {:swoosh_mua, \"~> 0.1.0\"}\n  ]\nend\n```","ref":"readme.html#installation"},{"type":"extras","title":"Usage - Swoosh.Mua","doc":"```elixir\n# for supported configuration, please see https://hexdocs.pm/mua/Mua.html#t:option/0\nApplication.put_env(:example, Mailer, adapter: Swoosh.Mua)\n\ndefmodule Mailer do\n  use Swoosh.Mailer, otp_app: :example\nend\n\nemail =\n  Swoosh.Email.new(\n    from: {\"Mua\", \"mua@github.com\"},\n    to: {\"Receiver\", \"receiver@mailhog.example\"},\n    subject: \"how are you?\",\n    text_body: \"I'm fine\",\n    html_body: \"I'm  fine \"\n  )\n\nMailer.deliver(email)\n```","ref":"readme.html#usage"},{"type":"extras","title":"Changelog","doc":"# Changelog","ref":"changelog.html"},{"type":"extras","title":"0.1.1 (2023-12-26) - Changelog","doc":"- update docs, align functionality with [`Bamboo.Mua`](https://github.com/ruslandoga/bamboo_mua)","ref":"changelog.html#0-1-1-2023-12-26"}],"content_type":"text/markdown"}